<?php
/**
 * @file
 * Set of exceptions to describe error conditions in the query.
 */

// The command you're trying to use is not a valid command.
class ONECALL_API_INVALID_COMMAND_EXCEPTION extends InvalidArgumentException {}

// The output format you're trying to use is not a valid output format.
class ONECALL_API_INVALID_FORMAT_EXCEPTION extends InvalidArgumentException {}

// OneCall API is not configured.  A username, password and client must be provided.
class ONECALL_API_NOT_CONFIGURED_EXCEPTION extends InvalidArgumentException {}

// The OneCall credentials were not accepted.
class ONECALL_API_INVALID_CREDENTIALS_EXCEPTION extends InvalidArgumentException {}

// The request to OneCall timed out. Check proxy or firewall configuration.
class ONECALL_API_REQUEST_TIMED_OUT_EXCEPTION extends RunTimeException {}

// The request to OneCall failed with a network/transport failure. Check proxy or firewall configuration.
class ONECALL_API_REQUEST_NETWORK_FAILURE_EXCEPTION extends RunTimeException {}

// The response from OneCall could not be parsed.
class ONECALL_API_INVALID_RESPONSE_FROM_ONECALL_EXCEPTION extends UnexpectedValueException {}

// OneCall reported that the requested report had no data.
class ONECALL_API_NO_DATA_IN_REPORT_EXCEPTION extends UnexpectedValueException {}

// The OneCall API returned an error that was not recognised.
class ONECALL_API_UNRECOGNISED_ERROR_FROM_ONECALL_EXCEPTION extends UnexpectedValueException {}
